Loading...
Searching...
No Matches
Atropisomers.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/Chirality.h>`
`#include <string>`
`#include <stdexcept>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::Atropisomers

## Typedefs

using | RDKit::Atropisomers::AtropAtomAndBondVec = std::pair< Atom *, std::vector< Bond * > >

## Functions

RDKIT_GRAPHMOL_EXPORT void | RDKit::Atropisomers::detectAtropisomerChirality (ROMol &mol, const Conformer *conf)
RDKIT_GRAPHMOL_EXPORT void | RDKit::Atropisomers::wedgeBondsFromAtropisomers (const ROMol &mol, const Conformer *conf, std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > &wedgeBonds)
RDKIT_GRAPHMOL_EXPORT bool | RDKit::Atropisomers::doesMolHaveAtropisomers (const ROMol &mol)
RDKIT_GRAPHMOL_EXPORT bool | RDKit::Atropisomers::getAtropisomerAtomsAndBonds (const Bond *bond, AtropAtomAndBondVec atomAndBonds[2], const ROMol &mol)
RDKIT_GRAPHMOL_EXPORT void | RDKit::Atropisomers::getAllAtomIdsForStereoGroup (const ROMol &mol, const StereoGroup &group, std::vector< unsigned int > &atomIds, const std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > &wedgeBonds)